<html>
<head>
<title>Ogre::EdgeListBuilder::CommonVertex Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EdgeListBuilder.html">EdgeListBuilder</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html">CommonVertex</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EdgeListBuilder::CommonVertex Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EdgeListBuilder::CommonVertex" -->
<p>A vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated.  
 <a href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>&gt;</code></p>

<p><a href="structOgre_1_1EdgeListBuilder_1_1CommonVertex-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a816fab86b7dcaf951ca4a0cb1bd14e48">position</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a69ece006961f4ef9915a62f195fe69e1">index</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a24eae6be08e186e0a89295375b168473">vertexSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a05a377b1ca06547527392c89ac58972c">indexSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a69ecec711878bc47d7d7d7618e379dc8">originalIndex</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A vertex can actually represent several vertices in the final model, because vertices along texture seams etc will have been duplicated. </p>
<p>In order to properly evaluate the surface properties, a single common vertex is used for these duplicates, and the faces hold the detail of the duplicated vertices. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00203">203</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a69ece006961f4ef9915a62f195fe69e1"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::index" ref="a69ece006961f4ef9915a62f195fe69e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a69ece006961f4ef9915a62f195fe69e1">Ogre::EdgeListBuilder::CommonVertex::index</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00205">205</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a05a377b1ca06547527392c89ac58972c"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::indexSet" ref="a05a377b1ca06547527392c89ac58972c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a05a377b1ca06547527392c89ac58972c">Ogre::EdgeListBuilder::CommonVertex::indexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00207">207</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69ecec711878bc47d7d7d7618e379dc8"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::originalIndex" ref="a69ecec711878bc47d7d7d7618e379dc8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a69ecec711878bc47d7d7d7618e379dc8">Ogre::EdgeListBuilder::CommonVertex::originalIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00208">208</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a816fab86b7dcaf951ca4a0cb1bd14e48"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::position" ref="a816fab86b7dcaf951ca4a0cb1bd14e48" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a816fab86b7dcaf951ca4a0cb1bd14e48">Ogre::EdgeListBuilder::CommonVertex::position</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00204">204</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a24eae6be08e186e0a89295375b168473"></a><!-- doxytag: member="Ogre::EdgeListBuilder::CommonVertex::vertexSet" ref="a24eae6be08e186e0a89295375b168473" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1CommonVertex.html#a24eae6be08e186e0a89295375b168473">Ogre::EdgeListBuilder::CommonVertex::vertexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00206">206</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
